var search_data = {"index":{"searchIndex":["inifile","error","==()","[]()","[]=()","clone()","current_section()","delete_section()","dup()","each()","each_section()","eql?()","escape_value()","freeze()","has_section?()","load()","match()","merge()","merge!()","new()","parse!()","parse_error()","process_property()","read()","restore()","save()","sections()","taint()","to_h()","to_s()","unescape_value()","write()","history"],"longSearchIndex":["inifile","inifile::error","inifile#==()","inifile#[]()","inifile#[]=()","inifile#clone()","inifile#current_section()","inifile#delete_section()","inifile#dup()","inifile#each()","inifile#each_section()","inifile#eql?()","inifile#escape_value()","inifile#freeze()","inifile#has_section?()","inifile::load()","inifile#match()","inifile#merge()","inifile#merge!()","inifile::new()","inifile#parse!()","inifile#parse_error()","inifile#process_property()","inifile#read()","inifile#restore()","inifile#save()","inifile#sections()","inifile#taint()","inifile#to_h()","inifile#to_s()","inifile#unescape_value()","inifile#write()",""],"info":[["IniFile","","IniFile.html","","<p>This class represents the INI file and can be used to parse, modify, and\nwrite INI files.\n"],["IniFile::Error","","IniFile/Error.html","",""],["==","IniFile","IniFile.html#method-i-3D-3D","( other )",""],["[]","IniFile","IniFile.html#method-i-5B-5D","( section )","<p>Public: Get the section Hash by name. If the section does not exist, then\nit will be created.\n<p>section …\n"],["[]=","IniFile","IniFile.html#method-i-5B-5D-3D","( section, value )","<p>Public: Set the section to a hash of parameter/value pairs.\n<p>section - The section name as a String. value …\n"],["clone","IniFile","IniFile.html#method-i-clone","()","<p>Public: Produces a duplicate of this IniFile. The duplicate is independent\nof the original – i.e. the …\n"],["current_section","IniFile","IniFile.html#method-i-current_section","()","<p>Returns the current section Hash.\n"],["delete_section","IniFile","IniFile.html#method-i-delete_section","( section )","<p>Public: Remove a section identified by name from the IniFile.\n<p>section - The section name as a String. …\n"],["dup","IniFile","IniFile.html#method-i-dup","()","<p>Public: Produces a duplicate of this IniFile. The duplicate is independent\nof the original – i.e. the …\n"],["each","IniFile","IniFile.html#method-i-each","()","<p>Public: Yield each INI file section, parameter, and value in turn to the\ngiven block.\n<p>block - The block …\n"],["each_section","IniFile","IniFile.html#method-i-each_section","()","<p>Public: Yield each section in turn to the given block.\n<p>block - The block that will be iterated by the …\n"],["eql?","IniFile","IniFile.html#method-i-eql-3F","( other )","<p>Public: Compare this IniFile to some other IniFile. For two INI files to be\nequivalent, they must have …\n"],["escape_value","IniFile","IniFile.html#method-i-escape_value","( value )","<p>Escape special characters.\n<p>value - The String value to escape.\n<p>Returns the escaped value.\n"],["freeze","IniFile","IniFile.html#method-i-freeze","()","<p>Public: Freeze the state of this IniFile object. Any attempts to change the\nobject will raise an error. …\n"],["has_section?","IniFile","IniFile.html#method-i-has_section-3F","( section )","<p>Public: Check to see if the IniFile contains the section.\n<p>section - The section name as a String.\n<p>Returns …\n"],["load","IniFile","IniFile.html#method-c-load","( filename, opts = {} )","<p>Public: Open an INI file and load the contents.\n<p>filename - The name of the fiel as a String opts     - …\n"],["match","IniFile","IniFile.html#method-i-match","( regex )","<p>Public: Create a Hash containing only those INI file sections whose names\nmatch the given regular expression. …\n"],["merge","IniFile","IniFile.html#method-i-merge","( other )","<p>Public: Creates a copy of this inifile with the entries from the\nother_inifile merged into the copy. …\n"],["merge!","IniFile","IniFile.html#method-i-merge-21","( other )","<p>Public: Merges other_inifile into this inifile, overwriting existing\nentries. Useful for having a system …\n"],["new","IniFile","IniFile.html#method-c-new","( content = nil, opts = {} )","<p>Public: Create a new INI file from the given content String which contains\nthe INI file lines. If the …\n"],["parse!","IniFile","IniFile.html#method-i-parse-21","()","<p>Parse the ini file contents. This will clear any values currently stored in\nthe ini hash.\n"],["parse_error","IniFile","IniFile.html#method-i-parse_error","( msg = 'Could not parse line' )","<p>Raise a parse error using the given message and appending the current line\nbeing parsed.\n<p>msg - The message …\n"],["process_property","IniFile","IniFile.html#method-i-process_property","( property, value )","<p>Store the property / value pair in the currently active section. This\nmethod checks for continuation …\n"],["read","IniFile","IniFile.html#method-i-read","( opts = {} )","<p>Public: Read the contents of the INI file from the file system and replace\nand set the state of this …\n"],["restore","IniFile","IniFile.html#method-i-restore","( opts = {} )",""],["save","IniFile","IniFile.html#method-i-save","( opts = {} )",""],["sections","IniFile","IniFile.html#method-i-sections","()","<p>Returns an Array of section names contained in this IniFile.\n"],["taint","IniFile","IniFile.html#method-i-taint","()","<p>Public: Mark this IniFile as tainted – this will traverse each section\nmarking each as tainted.\n<p>Returns …\n"],["to_h","IniFile","IniFile.html#method-i-to_h","()","<p>Returns this IniFile converted to a Hash.\n"],["to_s","IniFile","IniFile.html#method-i-to_s","()","<p>Returns this IniFile converted to a String.\n"],["unescape_value","IniFile","IniFile.html#method-i-unescape_value","( value )","<p>Unescape special characters found in the value string. This will convert\nescaped null, tab, carriage …\n"],["write","IniFile","IniFile.html#method-i-write","( opts = {} )","<p>Public: Write the contents of this IniFile to the file system. If left\nunspecified, the currently configured …\n"],["History","","History_txt.html","","<p>2.0.2 / 2012-09-14\n<p>Bug Fixes\n\n<pre>- Lack of newline at end of file causes error (thanks erebor) [issue #12]</pre>\n"]]}}